GNU bug report logs - #69820
[PATCH] gnu: Add guile-gsl.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Artyom Bologov <mail@HIDDEN>; Keywords: patch; Done: Sharlatan Hellseher <sharlatanus@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 69820-done <at> debbugs.gnu.org:


Received: (at 69820-done) by debbugs.gnu.org; 4 Apr 2024 11:26:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 04 07:26:13 2024
Received: from localhost ([127.0.0.1]:60636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rsLET-0008SR-Ku
	for submit <at> debbugs.gnu.org; Thu, 04 Apr 2024 07:26:13 -0400
Received: from mail-wr1-x42c.google.com ([2a00:1450:4864:20::42c]:51352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sharlatanus@HIDDEN>) id 1rsLEP-0008SC-RT
 for 69820-done <at> debbugs.gnu.org; Thu, 04 Apr 2024 07:26:11 -0400
Received: by mail-wr1-x42c.google.com with SMTP id
 ffacd0b85a97d-3438f079ff5so523701f8f.2
 for <69820-done <at> debbugs.gnu.org>; Thu, 04 Apr 2024 04:26:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712229959; x=1712834759; darn=debbugs.gnu.org;
 h=mime-version:message-id:date:subject:cc:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=+wenI4z4SDcP2TTToZbHt24mQxt0PDciF+otepRM2NM=;
 b=B8SI4KH7w7wIHKcSLGtVlv3XFpraBCvHBwF7UNqbxentUxrhfvmY9U9WvryPZjudnb
 0rYbcZXOgXCKCEZksy3+oNhOgmE3bwz84yCqxMDVa5G5DEcXo2TBGmLtB1unHPA+1GeX
 6pkaOow2c+Z2Z/OGD7Bw3SQDbIXNqGfXDf/43Qa6YUsxfk+fQzWcTZUfr1FcPYkzup+J
 V9gRXb95OTUomWicBWYS0ezW0pWbmAN5C6EisChscjC2R/MSbzBootkIgtglhRMJtXT9
 BF3xl6vh4LREWB0ZzUdJms+xSA/Je9sqioHNvy7gOzgLqsRTrX7WcPu1VabX5JHU9hDb
 SJCQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712229959; x=1712834759;
 h=mime-version:message-id:date:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=+wenI4z4SDcP2TTToZbHt24mQxt0PDciF+otepRM2NM=;
 b=mRbfFq1louTYv/9uEhy4MtVoXcYjN/19ZRuHq4pXcz2NRRSmKHMu5idZz/H9RfxEO4
 y8h9H7mBUBs7G/SSriDKrQUk0RpwrpWpRb52d86kS9/uMMDv/UG/LNZVZBMKwAl/QwDp
 rP+BlAd1xadl1zBUTe7+nLYUrJ0VAZ5x8jJ61ArtzRqXVhl0Twc35OtTS3awIswkbNTV
 JdlnT1SA/BC7DqE+pNxLtlsEb9jZw6rMaadb+GTS1wNYC8AWiITr+59n23viJavsKZJO
 3y5xgMjg5fNNUK4HuzrK+pHS6phkERvgiiemtNBj6drLo0yC+r/tKUmwprGSHnELA7Gy
 7+qg==
X-Gm-Message-State: AOJu0Yx5wANSaPSTaQ+PT8E1BNWqcG+wF0Jg6Qft3NRtlin2PSiWOwHS
 vfra0fFhSllyNIJOg4sLGbczJ/RF1aGNiIXcekWKIytpBTDwnrZe
X-Google-Smtp-Source: AGHT+IHR6Qxzu9hPuu9kuDGhIhwUpUYBuS1ABlMDkzqLxAQ9STmDSdHXB2TEsb5zV5HETKgQtKp/ug==
X-Received: by 2002:a5d:4ecf:0:b0:343:c35d:1403 with SMTP id
 s15-20020a5d4ecf000000b00343c35d1403mr894309wrv.15.1712229958666; 
 Thu, 04 Apr 2024 04:25:58 -0700 (PDT)
Received: from guxtil (cpc100856-bagu15-2-0-cust368.1-3.cable.virginm.net.
 [82.25.93.113]) by smtp.gmail.com with ESMTPSA id
 en19-20020a056000421300b0034365152f2asm7333139wrb.97.2024.04.04.04.25.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 04 Apr 2024 04:25:57 -0700 (PDT)
From: Sharlatan Hellseher <sharlatanus@HIDDEN>
To: 69820-done <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add guile-gsl.
Date: Thu, 04 Apr 2024 12:25:57 +0100
Message-ID: <87le5t5pyy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 69820-done
Cc: "Artyom V. Poptsov" <poptsov.artyom@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hi Artyom (avp) and Artyom B.

Thank you for the patches.

I've fixed patch apply conflict by adding new commit with amended
author, added Co-authored-by filed and copyright header.

Some minor changes applied:
- Update to the latest commit
- Fix lint warnings for synopsis and description
- Remove trailing #t from lambda.

Pushed as 2931967720848082769002351d2a18c7ad43e811 to master.

--
Oleg

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEmEeB3micIcJkGAhndtcnv/Ys0rUFAmYOjkUACgkQdtcnv/Ys
0rXVyg/9FKOeseKKWGh0vmZztVvpdoGpJdL93xiXb3SM17pMjPNC2SsAX+eHAPwo
Yb7zQGTArplKXVRbf8Usg7OtYenXd+qKiPi7xU0ONrwQOKSwHfbyKfZ/sIaaKdJN
xIwn3ABt5iv3ys7HhJZyE2LeIFd9jfEw/VUocXp1K7IcDj0EBisgACks+jVkZr2d
tU/kFufANsCsri52aSzBt6NuIdzbUy49SaFfapxokPgxGs67ItwR15jAhxMZfjni
jEjDdmLSXjrrkbqzLV91Sue+hgStKjfA6vFawl3mdQEi95+wk4uvIbUecfr1PZRN
YXzyKh7twXMpuUaPF2VKgOKPRYsHsNAuGh0n5bUEff596Bkw9kOk3ZPCVa43cGPD
xmi8vYKTAwo6ODVcJTh1hk1DZb+5o2TgSxj6E/nOLDe0HzyDqLCYOAgBwbGPk3v/
B5F6OVp0fQEJP5sn3GhqSpc7JpyT3DbL33M+a2ufTjFtdEo5yVIN2zAY29wujXmC
HQ3pdEsERev/XkEESdPJ8QPv+5LNd47b+Znv83gNjg/1DkJpDRqewFag5Tr2U2QQ
e+nLz4htuGle0PVCM0KjOzHKS9v8x23O35x4125fzaYugr7TBenhkDlz+f+Hs2Ps
PRqucnPsmqKZqunQh356LzGLG/fTM1vkyVgmsrLxp/vsbffDKko=
=Rdv2
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Artyom Bologov <mail@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Sharlatan Hellseher <sharlatanus@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 69820 <at> debbugs.gnu.org:


Received: (at 69820) by debbugs.gnu.org; 20 Mar 2024 20:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 20 16:17:08 2024
Received: from localhost ([127.0.0.1]:32902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rn2N2-0003Jg-1R
	for submit <at> debbugs.gnu.org; Wed, 20 Mar 2024 16:17:08 -0400
Received: from h7.fbrelay.privateemail.com ([162.0.218.230]:47247)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1rn2My-0003Iv-P1
 for 69820 <at> debbugs.gnu.org; Wed, 20 Mar 2024 16:17:06 -0400
Received: from MTA-09-4.privateemail.com (mta-09.privateemail.com
 [198.54.127.58])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits))
 (No client certificate requested)
 by h7.fbrelay.privateemail.com (Postfix) with ESMTPSA id 7166D6087E
 for <69820 <at> debbugs.gnu.org>; Wed, 20 Mar 2024 16:16:18 -0400 (EDT)
Received: from mta-09.privateemail.com (localhost [127.0.0.1])
 by mta-09.privateemail.com (Postfix) with ESMTP id 6421F18000C5
 for <69820 <at> debbugs.gnu.org>; Wed, 20 Mar 2024 16:16:16 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aartaka.me; s=default;
 t=1710965776; bh=kWph1aMeV10p397R5yx3R8x51P6PmBx99Y7+uXPpukQ=;
 h=From:To:Subject:Date:From;
 b=XD+DhZsSXjq2rKVCcnd58UQ3nCLEA1Hwme9ovNgRqlE3lFulp/A4vWxvThPAHWt+y
 iVgaYg5jF516UWIwkNJb2r1cF+Ow3k3q5QvJlWih3u7iVMITgYcje4AgCoceIDXune
 wrYU4A4odqhlgRJR9xXycY+VpdP3hqsvNcUELFYxul0FTZURX+FqJL5npB2xLxePFw
 a7Imhqz7sMH1W4uI+J/2iXChQIaazKoYI/cX84mMzMWBqNyfK4/2g+7oZ9h7oo7JmL
 jYpCkOLIa54xNHMof+c0QlfVJG2YWDLhCcqUWWawFRbEXDJxODiEvvFAnb8HgIzQEz
 9uZasHJuOLKwQ==
Received: from paranoidal (unknown [185.167.217.34])
 by mta-09.privateemail.com (Postfix) with ESMTPA
 for <69820 <at> debbugs.gnu.org>; Wed, 20 Mar 2024 16:16:15 -0400 (EDT)
User-agent: mu4e 1.10.8; emacs 29.1
From: Artyom Bologov <mail@HIDDEN>
To: 69820 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add guile-gsl.
Date: Thu, 21 Mar 2024 00:15:23 +0400
Message-ID: <87v85gveu7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 69820
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--=-=-=
Content-Type: text/plain

Hi y'all,

Sorry, I added the wrong email to the previous patch, here's the updated
one:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-guile-gsl.patch
Content-Description: Add guile-gsl

From 0185af4d2c467a45de568d1193f76cfcf23e8bab Mon Sep 17 00:00:00 2001
From: Artyom Bologov <mail@HIDDEN>
Date: Sat, 16 Mar 2024 01:11:09 +0400
Subject: [PATCH] gnu: Add guile-gsl.

* gnu/packages/guile-xyz.scm (guile-gsl): New variable.
---
 gnu/packages/guile-xyz.scm | 40 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 9d683199ac..3c85c35b45 100644
--- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -1438,6 +1438,46 @@ (define-public guile-algorithms
     (home-page "https://guile-algorithms.lajszczak.dev/")
     (license license:gpl3+)))
 
+(define-public guile-gsl
+  (let ((commit "739a0ddcf00fdf4bdd409e6dd75de23e01aceded")
+        (revision "0"))
+    (package
+      (name "guile-gsl")
+      (version (git-version "0.0.1" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/aartaka/guile-gsl")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "0x0z5xx6jx5zhjy83zi7l9mzi65v58wl2khf11q5d2vf4hya16bb"))))
+      (build-system guile-build-system)
+      (arguments
+       (list #:source-directory "modules"
+             #:phases
+             #~(modify-phases %standard-phases
+                 (add-before 'build 'substitute-gsl-so
+                   (lambda _
+                     (let ((gsl (string-append #$(this-package-input "gsl")
+                                               "/lib/libgsl.so"))
+                           (gslcblas (string-append #$(this-package-input "gsl")
+                                                    "/lib/libgslcblas.so")))
+                       (substitute* '("modules/gsl/core.scm")
+                         (("libgsl.so")
+                          gsl)
+                         (("libgslcblas.so")
+                          gslcblas))
+                       #t))))))
+      (native-inputs (list guile-3.0))
+      (inputs (list guile-3.0 gsl))
+      (home-page "https://github.com/aartaka/guile-gsl")
+      (synopsis "Bindings for GNU Scientific library.")
+      (description "Scheme wrapper around @code{libgsl.so}.
+Implements vector, matrix, and BLAS operations.")
+      (license license:gpl3+))))
+
 (define-public guile-aws
   (let ((commit "f32bea12333e1054b97ab50e58a72636edabb5b7")
         (revision "1"))
-- 
2.41.0


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#69820; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Mar 2024 21:35:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 15 17:35:46 2024
Received: from localhost ([127.0.0.1]:53831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rlFDK-0000Op-3Z
	for submit <at> debbugs.gnu.org; Fri, 15 Mar 2024 17:35:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:47354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1rlFDD-0000OV-O6
 for submit <at> debbugs.gnu.org; Fri, 15 Mar 2024 17:35:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1rlFCc-00046u-Kr
 for guix-patches@HIDDEN; Fri, 15 Mar 2024 17:34:58 -0400
Received: from mta-07-3.privateemail.com ([198.54.118.214])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1rlFCX-0006yu-BA
 for guix-patches@HIDDEN; Fri, 15 Mar 2024 17:34:58 -0400
Received: from mta-07.privateemail.com (localhost [127.0.0.1])
 by mta-07.privateemail.com (Postfix) with ESMTP id B13A318000BE
 for <guix-patches@HIDDEN>; Fri, 15 Mar 2024 17:34:41 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=aartaka.me; s=default;
 t=1710538481; bh=kAn73/MBjagO0KRVGOhNknIhhJ5jLbdoPIDOBnb7obQ=;
 h=From:To:Subject:Date:From;
 b=v5NeqadZoKa3fMuEcAZHJ/30DtJLJiDsQb/87WMgpjdJ4LheBzJL7I5sUFuAya57J
 TgjbE8suhLI4wCMtGvTk/NSegZYNEq5Qp28wUUBLqP3tHPvXn+84qtiQyGLqzbIxrZ
 TmsuKrBljoG27FtXBnX087vXm5iuiHMGGE2fsuz68rcP8gBgxeeKWNPO37aV6BhehY
 BbcxCFGOyUhZRUWfG0PoRRQ+2OGbJCYAwTLEpTP7CybaGwKyj0ahOivqIWGjR7AbQS
 +mByVs6yAWDe2FgO4F8gBDoGZy6p5QyLt2OCJf6/LZwD6FvVy0un7C9LJlpe0xA8Z5
 LqurgvFoT1PAw==
Received: from paranoidal (unknown [185.167.217.34])
 by mta-07.privateemail.com (Postfix) with ESMTPA
 for <guix-patches@HIDDEN>; Fri, 15 Mar 2024 17:34:40 -0400 (EDT)
User-agent: mu4e 1.10.8; emacs 29.1
From: Artyom Bologov <mail@HIDDEN>
To: Guix patches <guix-patches@HIDDEN>
Subject: [PATCH] gnu: Add guile-gsl.
Date: Sat, 16 Mar 2024 01:31:53 +0400
Message-ID: <87jzm3b2nr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Virus-Scanned: ClamAV using ClamSMTP
Received-SPF: pass client-ip=198.54.118.214; envelope-from=mail@HIDDEN;
 helo=MTA-07-3.privateemail.com
X-Spam_score_int: -11
X-Spam_score: -1.2
X-Spam_bar: -
X-Spam_report: (-1.2 / 5.0 requ) BAYES_00=-1.9, DKIM_INVALID=0.1,
 DKIM_SIGNED=0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01,
 URI_NOVOWEL=0.5 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

--=-=-=
Content-Type: text/plain

Hi y'all,

This is another shot at packaging Guile GSL bindings. See the attached
patch. The related bugs 69443 and 69737 are resolved then.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-guile-gsl.patch
Content-Description: Add guile-gsl

From 0185af4d2c467a45de568d1193f76cfcf23e8bab Mon Sep 17 00:00:00 2001
From: Artyom Bologov <aartaka@HIDDEN>
Date: Sat, 16 Mar 2024 01:11:09 +0400
Subject: [PATCH] gnu: Add guile-gsl.

* gnu/packages/guile-xyz.scm (guile-gsl): New variable.
---
 gnu/packages/guile-xyz.scm | 40 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 9d683199ac..3c85c35b45 100644
--- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -1438,6 +1438,46 @@ (define-public guile-algorithms
     (home-page "https://guile-algorithms.lajszczak.dev/")
     (license license:gpl3+)))
 
+(define-public guile-gsl
+  (let ((commit "739a0ddcf00fdf4bdd409e6dd75de23e01aceded")
+        (revision "0"))
+    (package
+      (name "guile-gsl")
+      (version (git-version "0.0.1" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/aartaka/guile-gsl")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "0x0z5xx6jx5zhjy83zi7l9mzi65v58wl2khf11q5d2vf4hya16bb"))))
+      (build-system guile-build-system)
+      (arguments
+       (list #:source-directory "modules"
+             #:phases
+             #~(modify-phases %standard-phases
+                 (add-before 'build 'substitute-gsl-so
+                   (lambda _
+                     (let ((gsl (string-append #$(this-package-input "gsl")
+                                               "/lib/libgsl.so"))
+                           (gslcblas (string-append #$(this-package-input "gsl")
+                                                    "/lib/libgslcblas.so")))
+                       (substitute* '("modules/gsl/core.scm")
+                         (("libgsl.so")
+                          gsl)
+                         (("libgslcblas.so")
+                          gslcblas))
+                       #t))))))
+      (native-inputs (list guile-3.0))
+      (inputs (list guile-3.0 gsl))
+      (home-page "https://github.com/aartaka/guile-gsl")
+      (synopsis "Bindings for GNU Scientific library.")
+      (description "Scheme wrapper around @code{libgsl.so}.
+Implements vector, matrix, and BLAS operations.")
+      (license license:gpl3+))))
+
 (define-public guile-aws
   (let ((commit "f32bea12333e1054b97ab50e58a72636edabb5b7")
         (revision "1"))
-- 
2.41.0


--=-=-=
Content-Type: text/plain


Thanks,
--
Artyom.

--=-=-=--




Acknowledgement sent to Artyom Bologov <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#69820; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Apr 2024 11:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.